Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.query
Class FullTextQueryImpl

    java.lang.Object
      org.hibernate.impl.AbstractQueryImpl
          org.hibernate.search.query.FullTextQueryImpl

All Implemented Interfaces:
  org.hibernate.Query

    public class FullTextQueryImpl

extends org.hibernate.impl.AbstractQueryImpl

Author:
  Emmanuel Bernard

Field Summary

Fields inherited from class org.hibernate.impl.AbstractQueryImpl
`parameterMetadata, session`

Constructor Summary
`FullTextQueryImpl(org.apache.lucene.search.Query query, Class[] classes, org.hibernate.engine.SessionImplementor session, org.hibernate.engine.query.ParameterMetadata parameterMetadata)` classes must be immutable

Method Summary
`int` | `executeUpdate()`
`protected Map` | `getLockModes()`
`Iterator` | `iterate()` Return an interator on the results.
`List` | `list()`
`int` | `resultSize()`
`org.hibernate.ScrollableResults` | `scroll()`
`org.hibernate.ScrollableResults` | `scroll(org.hibernate.ScrollMode scrollMode)`
`org.hibernate.Query` | `setFirstResult(int firstResult)`
`org.hibernate.Query` | `setLockMode(String alias, org.hibernate.LockMode lockMode)`
`org.hibernate.Query` | `setMaxResults(int maxResults)`

Methods inherited from class org.hibernate.impl.AbstractQueryImpl
`after, before, determineType, determineType, determineType, determineType, determineType, expandParameterLists, getNamedParameterLists, getNamedParameters, getNamedParams, getQueryParameters, getQueryString, getReturnAliases, getReturnTypes, getRowSelection, getSelection, getTypes, getValues, hasNamedParameters, isReadOnly, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBinary, setBinary, setBoolean, setBoolean, setByte, setByte, setCacheable, setCacheMode, setCacheRegion, setCalendar, setCalendar, setCalendarDate, setCalendarDate, setCharacter, setCharacter, setCollectionKey, setComment, setDate, setDate, setDouble, setDouble, setEntity, setEntity, setFetchSize, setFloat, setFloat, setFlushMode, setInteger, setInteger, setLocale, setLocale, setLong, setLong, setOptionalEntityName, setOptionalId, setOptionalObject, setParameter, setParameter, setParameter, setParameter, setParameterList, setParameterList, setParameterList, setParameterList, setParameters, setProperties, setProperties, setReadOnly, setResultTransformer, setSerializable, setSerializable, setShort, setShort, setString, setString, setText, setText, setTime, setTime, setTimeout, setTimestamp, setTimestamp, toString, typeArray, uniqueResult, valueArray, verifyParameters, verifyParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FullTextQueryImpl

    public FullTextQueryImpl(org.apache.lucene.search.Query query,
                             Class[] classes,
                             org.hibernate.engine.SessionImplementor session,
                             org.hibernate.engine.query.ParameterMetadata parameterMetadata)

  classes must be immutable

Method Detail

### iterate

    public Iterator iterate()
                     throws org.hibernate.HibernateException

  Return an interator on the results. Retrieve the object one by one (initialize it during the next() operation)

  Throws:
    `org.hibernate.HibernateException`

### scroll

    public org.hibernate.ScrollableResults scroll()
                                           throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### scroll

    public org.hibernate.ScrollableResults scroll(org.hibernate.ScrollMode scrollMode)
                                           throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### list

    public List list()
              throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### resultSize

    public int resultSize()

### setFirstResult

    public org.hibernate.Query setFirstResult(int firstResult)

  Specified by:
    `setFirstResult` in interface `org.hibernate.Query`
  Overrides:
    `setFirstResult` in class `org.hibernate.impl.AbstractQueryImpl`

### setMaxResults

    public org.hibernate.Query setMaxResults(int maxResults)

  Specified by:
    `setMaxResults` in interface `org.hibernate.Query`
  Overrides:
    `setMaxResults` in class `org.hibernate.impl.AbstractQueryImpl`

### executeUpdate

    public int executeUpdate()
                      throws org.hibernate.HibernateException

  Throws:
    `org.hibernate.HibernateException`

### setLockMode

    public org.hibernate.Query setLockMode(String alias,
                                           org.hibernate.LockMode lockMode)

### getLockModes

    protected Map getLockModes()

  Specified by:
    `getLockModes` in class `org.hibernate.impl.AbstractQueryImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD